package cn.com.qmth.examcloud.ws;

import cn.com.qmth.examcloud.web.bootstrap.AppBootstrap;
import cn.com.qmth.examcloud.web.support.SpringContextHolder;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;

@Configuration
@EnableDiscoveryClient
@ComponentScan(basePackages = {"cn.com.qmth"})
@SpringBootApplication(exclude = {DataSourceAutoConfiguration.class})
public class WebSocketApp {

    static {
        String runtimeLevel = System.getProperty("log.commonLevel");
        if (null == runtimeLevel) {
            System.setProperty("log.commonLevel", "INFO");
        }

    }

    /**
     * main
     *
     * @param args
     * @throws Exception
     * @author WANGWEI
     */
    public static void main(String[] args) throws Exception {

        AppBootstrap.run(WebSocketApp.class, args);

        test();
    }

    /**
     * 测试方法
     *
     * @author WANGWEI
     */
    private static void test() {
        Tester tester = SpringContextHolder.getBean(Tester.class);
        tester.test();
    }

}
